Description

Supportanfrage

Nach der Installation von ADTF 3.0.0 bricht die Installation des Redistributables mit einer Fehlermeldung ab.

Die Log-Datei verrät:

[21B0:1E18][2017-03-09T10:07:41]e000: Error 0x80070666: Cannot install a product when a newer vers

ion is installed.

 Ursache ist somit klar. Bislang konnte man beliebige Versionen der Redistributables nebeneinander installieren.

Der Fehler macht in unserem automatischen SW-Managementsystem in doppelter Hinsicht Ärger:

1. Das Fehlermeldungsfenster verlangt Benutzerinteraktion (Close-Button)

2. Wenn die ADTF-Installation auch einen Fehlercode zurückgibt, wird die gesamte Installation als fehlerhaft angesehen.

Lösung

Produktticket http://km-aev.in.audi.vwg/redmine/issues/38903

History

#1 - 2017-03-10 08:21 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2017-03-10 08:21 - hidden

- Project changed from Public Support to 5

#3 - 2017-03-10 10:36 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to http://km-aev.in.audi.vwg/redmine/issues/38903

- Support Level changed from 2nd Level to 3rd Level

Hallo Roland,

ich konnte das Verhalten reproduzieren.

Das Problem scheint zu sein, das VS 2015 mit den neuesten Updates auch eine neuere Redistributable mit sich bringt, heißt auf diesen

Entwicklungssrechnern schlägt der Installer fehl.

Diese lässt sich auch nicht auf der offiziellen Seite beziehen (?), ist nur in der Installation vorhanden... hm.

Auch wenn es auf Entwicklungsrechner zwar keinen Sinn macht, eine Redistributable zu installieren, darf es natürlich nicht abbrechen.

Ich habe dazu ein Produktticket angelegt.

Wenn keine weiteren Einwände, würde ich das Ticket gerne abschließen.

Können wir es public machen ?
#4 - 2017-03-10 10:48 - hidden

Hallo Florian,

wenn ADTF 3 über unser SW-Verteilungssystem installiert wird, dann weiß das nicht, ob es sich um einen Entwicklungsrechner handelt oder nicht.

Darum werden wir im Zweifel das Redistributable immer mit in die Installation aufnehmen, damit ADTF nach der Installation auch funktioniert. Der

Installer muss daher auch mit Enwicklungsrechnern klar kommen, auf denen die Laufzeitumgebung über Visual Studio bereits installiert ist.

Ticket kann public gemacht werden.

#5 - 2017-03-10 11:00 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

Hallo Roland,

sehe ich genauso.

Ggf. können wir das im Installer entsprechend auswerten, das überlasse ich mal dem Ticketverantwortlichen.

Auf jeden Fall darf es zu keinen Abbruch kommen, das steht fest.

Ticket wird geschlossen.

#6 - 2017-03-10 11:00 - hidden

- Subject changed from Installer: Installation von MS Visual C++ 2015 Redistributable schägt fehl to Installation of MS Visual C++ 2015 Redistributable

fails

- Status changed from To Be Closed to Closed
